** study 1b
* very close replication of Tykocinski 2008 study 1 with train commuters instead of undergraduates.
* g*Power said we'd need 62 ppl to have 95% power to find ? = .13 or cohens f = 0.39 (original effect size)
* students (Natascha Bauwens, Jolien Gordijn, Nienke Sterkens, and Maartje de Volder) went out with 80 questionnaires of which 78 were returned. 
* participants were approached december 20, 2012, at the tilburg central train station.

* demographics and missings for insurance company.

FREQUENCIES VARIABLES=age sex insurance addcov satisfied
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /ORDER=ANALYSIS.

* compute filter for people who did not fill out name of health insurance provider.

recode insurance (missing = 0) (else = 1) into INSfilter.
execute.

USE ALL.
FILTER BY INSfilter.
EXECUTE.

* test for differences in satisfaction between conditions.

UNIANOVA satisfied BY reminder
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=reminder.

** CONFIRMATORY ANALYSES **

GLM p1 p2 p3 BY reminder
  /WSFACTOR=factor1 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1 
  /DESIGN=reminder.

GLM p1 p2 p3 p4 p5 p6 p7 BY reminder
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY
  /CRITERIA=ALPHA(.05)
  /DESIGN= reminder.

* footnote analysis.

use all.
execute.

GLM p1 p2 p3 BY reminder
  /WSFACTOR=factor1 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1 
  /DESIGN=reminder.

USE ALL.
FILTER BY INSfilter.
EXECUTE.
** EXPLORATORY ANALYSES **


GLM p1 p2 p3 BY reminder WITH age
  /WSFACTOR=factor1 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /DESIGN= reminder age age*reminder.

* interpret interaction of reminder with age.
* median = 22.

FREQUENCIES VARIABLES=age
  /FORMAT=NOTABLE
  /STATISTICS=MEDIAN
  /ORDER=ANALYSIS.

* recode 0 = young, 1 = old.

recode age (lowest thru 21=0) (else=1) into AGESPLIT.
execute.

value labels
AGESPLIT
'0' young
'1' old.
execute.

GLM p1 p2 p3 BY reminder AGESPLIT
  /WSFACTOR=factor1 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /DESIGN= reminder AGESPLIT AGESPLIT*reminder.

* help interpreting effect of age in ancova repeated measures.
* positive n.s. correlations.

CORRELATIONS
  /VARIABLES=age p1 p2 p3
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.


GLM p1 p2 p3 BY reminder sex
  /WSFACTOR=factor1 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /DESIGN= reminder sex reminder*sex.
