** REPLICATE TYKOCINKSI 2008 STUDY 1 WITH A LOT OF POWER***
* G*power calculations:
* we wanted 95% power to find an effect size that was half the one reported in tykocinksi 2008 (eta2 = 0.13, so we're aiming for eta2 = .065, cohen's f = 0.263664)
* we needed to specify the correlation between rep measures, based on study 1a and 1b those were .15 - .65
* this means we need 146 people in 2 conditions.
* but if we get 400 people, we have 80% power to find an effect size of cohen's f = .12 (eta2 = .02)
* so that's what we did.
* 503 started the survey, 413 (82.11%) passed IMC and we have full data for 403 participants.

* did not realize that people in US sometimes do not have health insurance.
* manually coded whether or not they had health insurance in HIplan (where they had to indicate the name of their health insurance plan).
* 354 (87.84%) of 403 people had health insurance.
* results of GLM repeated measures are not different when including these people in analyses.

* DO_BR_FL_12 is condition variable

*********** MAIN IDEA **********
* replicate tykocinski 2008 study 1 with a lot of power. 

* reminded people of their health insurance either before or after they answered the probability questions.
* reminded consisted of question about name of health insurance plan, whether or not they had add coverage, and how satisfied they were with their insurance plan.\

* What is the probability--within the next 5 years--that:

* You will need to undergo a serious operation?
*	You will require physiotherapy?
*	You will be in need of comprehensive nursing care?
* You will lose a large amount of money?
* A war breaks out in Europe?
* You will win the lottery?
* Isra?l and Palestina will sign a peace treaty?
* 1 = almost zero, 5  = very high probability.

*** DATA CLEANING ***
* SELECT PEOPLE WITH FULL DATA.

DATASET ACTIVATE DataSet1.
DATASET COPY  fulldataREPLtyko.
DATASET ACTIVATE  fulldataREPLtyko.
FILTER OFF.
USE ALL.
SELECT IF (source > 0).
EXECUTE.
DATASET ACTIVATE  fulldataREPLtyko.

* select only the people who have health insurance.

USE ALL.
FILTER BY HEALTHINS.
EXECUTE.

* run repeated measures as in Tykocinksi 2008.
* no effect at all.

GLM PROB_1 PROB_2 PROB_3 BY DO_BR_FL_12
  /WSFACTOR=PROB 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=PROB 
  /DESIGN=DO_BR_FL_12.

* run analyses on all variables. only losing a lot of money sig.
* but hey, that happens.

GLM PROB_1 PROB_2 PROB_3 PROB_4 PROB_5 PROB_6 PROB_7 BY DO_BR_FL_12
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY
  /CRITERIA=ALPHA(.05)
  /DESIGN= DO_BR_FL_12.



***** EXPLORATORY ******
* also look at possible interaction with age as suggested by tykocinkski in one of her emails.
* "Hi Jon,
* Took a quick look at your study and it is obvious to me that the problem is the age of your participants. 
* When I was in my twenties I was not very concerned with health issues, I am sure that your students are the same. 
* I suggest you run it again with people who are in their 40's and 50's.
* Orit.

*** AGE ***
* no interaction of age (only main effect such that higher age higher probability).

GLM PROB_1 PROB_2 PROB_3 BY DO_BR_FL_12 WITH age_1_TEXT
  /WSFACTOR=PROB 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=PROB 
  /DESIGN=age_1_TEXT DO_BR_FL_12.


*** GENDER ***
* main effect of sex but no interaction.

GLM PROB_1 PROB_2 PROB_3 BY DO_BR_FL_12 sex
  /WSFACTOR=PROB 3 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ HOMOGENEITY 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=PROB 
  /DESIGN=DO_BR_FL_12 sex DO_BR_FL_12*sex.