* Study 2b was run in the lab and sent out via Blackboard to students enrolled in a course.
* 303 people participated and we have 292 people with complete data.
* This study had an IMC that allowed people to answer again if they failed the first time. (failure to answer the right answers 4 times lead to exclusion of the study, no one failed 4 times).

* replication of study 2a with better control condition that did not remind people of preparation at all.
****DUTCH TEXTS (TRANSLATION BELOW)****
* control: Je volgt een vak en zit in een werkgroep met ongeveer 20 andere studenten. Tijdens deze werkgroep bespreken jullie wekelijks een stuk tekst of een artikel.
*             De docent heeft besloten deze keer iemand aan te wijzen die het artikel publiekelijk voor de groep moet samenvatten.

* Tempt fate: Je volgt een vak en zit in een werkgroep met ongeveer 20 andere studenten. Tijdens deze werkgroep bespreken jullie wekelijks een stuk tekst of een artikel. 
*                  Jij had deze week niet zoveel tijd en hebt besloten om een keer niet je huiswerk te doen, je weet dus eigenlijk niet zo goed waar het artikel over gaat.
*                  De docent heeft besloten deze keer iemand aan te wijzen die het artikel publiekelijk voor de groep moet samenvatten.

* Protection effect: Je volgt een vak en zit in een werkgroep met ongeveer 20 andere studenten. Tijdens deze werkgroep bespreken jullie wekelijks een stuk tekst of een artikel. 
*                           Jij hebt je deze week extra goed voorbereid. Je hebt het artikel twee keer grondig doorgespit, je hebt zelfs afspraken verzet om de tijd te hebben om je goed voor te bereiden.
*                           De docent heeft besloten deze keer iemand aan te wijzen die het artikel publiekelijk voor de groep moet samenvatten.

***** TRANSLATION ************

* control: You are taking a course and you are in a work group with approximately 20 students. This work group weekly discusses a piece of text or an article. 
* tempt fate: control + You did not really have that much time this week so you chose to not do your homework once. You thus do not really know what the article is about.
* protection effect: control + You prepared really well this week. You read the article thoroughly twice and you even moved some appointments to make sure you had enough time to prepare for the lecture.
* every condition: This time, the teacher decides he will call on someone to publicly summarize the article in front of the group.
* Participants then rated the probability that the teacher would call upon them on a scale ranging from 1 = ?very small chance? to 10 = ?very large chance?
************************************

DATASET COPY  Study2b_PTPWCOMPLETEDATA.
DATASET ACTIVATE  Study2b_PTPWCOMPLETEDATA.
FILTER OFF.
USE ALL.
SELECT IF (manipcheck > 0).
EXECUTE.
DATASET ACTIVATE  DataSet1.



**** MANUALLY SAVE NEW DATAFILE AND RELOAD FOR DATA CLEANING AND ANALYSES***



** recode missings into 0 to allow for computing of variables.


DATASET ACTIVATE Study2b_PTPWCOMPLETEDATA.
RECODE control Cprob Tcontrol_1 Tcontrol_2 Tcontrol_3 Tcontrol_4 temptfate TFprob Ttemptfate_1 
    Ttemptfate_2 Ttemptfate_3 Ttemptfate_4 protect Pprob Q37_1 Q37_2 Q37_3 Q37_4 (MISSING=0).
EXECUTE.

* compute participant number.

compute ppn = $casenum.
execute.

* COMPUTE PROBABILITY VARIABLE..

* Participant 81 has a score of 16, because somewho he/she ended up in two conditions. create var filter to unselect this person.

COMPUTE PROBABILITY=Cprob + TFprob + Pprob.
EXECUTE.

FREQUENCIES VARIABLES=PROBABILITY
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV VARIANCE MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

recode ppn (81 = 0) (else = 1) into FILTER1.
execute.

* manipulation check for condition.
* we asked participants to report what the survey said with regard to their preparation.
* 1 = not prepared
* 2 = very well prepared
* 3 = no mention of preparation
* 4 = don't know. 

* only select the people who pass manipulation check.
* 282 passed the manipulation check.

compute MANIPCHECKFILTER = 0.
execute.
do if (control = 1).
 do if (manipcheck = 3). 
   compute MANIPCHECKFILTER = 1.
 end if.
end if.
execute.
do if (temptfate = 1).
 do if (manipcheck = 1). 
   compute MANIPCHECKFILTER = 1.
 end if.
end if.
execute.
do if (protect = 1).
 do if (manipcheck = 2). 
   compute MANIPCHECKFILTER = 1.
 end if.
end if.
execute.

FREQUENCIES VARIABLES=MANIPCHECKFILTER
  /ORDER=ANALYSIS.

* compute time variable.
* don't know why the time variable for protection effect condition had not been named.

compute TIME = Tcontrol_3 + Ttemptfate_3 + Q37_3.
execute.

FREQUENCIES VARIABLES=TIME
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV VARIANCE MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* some people are somewhat slow.
* should at least spend 10 seconds on page to read and understand everything.

recode TIME (lowest thru 10 = 0) (else = 1) into TIMEFILTER.
execute.

FREQUENCIES VARIABLES=TIMEFILTER
  /ORDER=ANALYSIS.

** compute total filter.

compute TOTALFILTER = TIMEFILTER * MANIPCHECKFILTER * FILTER1.
execute.

FREQUENCIES VARIABLES=TOTALFILTER
  /ORDER=ANALYSIS.

USE ALL.
FILTER BY TOTALFILTER.
EXECUTE.


********* MAIN ANALYSIS*************

** descriptives.
* 1 person is 200 years of age, we treat that as missing.


FREQUENCIES VARIABLES=sex
  /ORDER=ANALYSIS.

DESCRIPTIVES VARIABLES=age_1_TEXT
  /STATISTICS=MEAN STDDEV MIN MAX.

********CONFIRMATORY*********

* direction but not sig. 

UNIANOVA PROBABILITY BY DO_BR_FL_12
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=DO_BR_FL_12(TUKEY LSD) 
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=DO_BR_FL_12.

* test the onetailed t-test of tempting fate effect.
* create numerical condition variable.

RECODE DO_BR_FL_12 ('TEMPT FATE'=3) ('PROTECTION EFFECT'=1) ('CONTROL'=2) INTO COND.
EXECUTE.

VALUE LABELS
COND
'1' PROTECTION EFFECT
'2' CONTROL
'3' TEMPT FATE.
execute.

* do directional t-tests.

T-TEST GROUPS=COND(1 3)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

T-TEST GROUPS=COND(2 3)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

T-TEST GROUPS=COND(2 1)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

*Nonparametric Tests: Independent Samples. 
NPTESTS 
  /INDEPENDENT TEST (PROBABILITY) GROUP (DO_BR_FL_12) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05  CILEVEL=95.

* without filter for footnote analysis.

use all.
execute.

UNIANOVA PROBABILITY BY DO_BR_FL_12
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=DO_BR_FL_12(TUKEY LSD) 
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=DO_BR_FL_12.

USE ALL.
FILTER BY TOTALFILTER.
EXECUTE.

***** EXPLORATORY******

* gender effect.

UNIANOVA PROBABILITY BY DO_BR_FL_12 sex
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=DO_BR_FL_12 sex DO_BR_FL_12*sex.

SORT CASES  BY sex.
SPLIT FILE SEPARATE BY sex.

UNIANOVA PROBABILITY BY DO_BR_FL_12
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=DO_BR_FL_12(TUKEY LSD) 
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=DO_BR_FL_12.

* directional effects.

T-TEST GROUPS=COND(1 3)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

T-TEST GROUPS=COND(2 3)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

T-TEST GROUPS=COND(2 1)
  /MISSING=ANALYSIS
  /VARIABLES=PROBABILITY
  /CRITERIA=CI(.95).

split file off.

*** check source effect ***
* no sig. source effect and again only effect for women.

SORT CASES  BY sex.
SPLIT FILE SEPARATE BY sex.

UNIANOVA PROBABILITY BY DO_BR_FL_12 SOURCE
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /POSTHOC=DO_BR_FL_12(TUKEY LSD) 
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=DO_BR_FL_12 SOURCE DO_BR_FL_12*SOURCE.

split file off.

*** AGE ***


SORT CASES  BY sex.
SPLIT FILE SEPARATE BY sex.

UNIANOVA PROBABILITY BY DO_BR_FL_12 WITH age_1_TEXT
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=ETASQ HOMOGENEITY DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=age_1_TEXT DO_BR_FL_12 age_1_TEXT*DO_BR_FL_12.

split file off.





